%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


%define realname guppy


Name:		python-%{realname}
Version:	0.1.9
Release:	1%{?dist}
Summary:	A Python Programming Environment
Group:		Development/Languages
License:	MIT
URL:		http://guppy-pe.sourceforge.net/
Source0:	http://pypi.python.org/packages/source/g/%{realname}/%{realname}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	python-devel
BuildRequires:	python-setuptools-devel
Provides:	%{realname} = %{version}-%{release}


%description
Guppy-PE is a library and programming environment for Python, currently
providing in particular the Heapy subsystem, which supports object and heap
memory sizing, profiling and debugging. It also includes a prototypical
specification language, the Guppy Specification Language (GSL), which can be
used to formally specify aspects of Python programs and generate tests and
documentation from a common source.


%prep
%setup -q -n %{realname}-%{version}


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE ANNOUNCE-0.1.5 ChangeLog PKG-INFO README
%{python_sitearch}/%{realname}/
%{python_sitearch}/%{realname}-%{version}-*.egg-info/


%changelog
* Fri Aug 14 2009 Peter Lemenkov <lemenkov@gmail.com> 0.1.9-1
- Initial package for Fedora
- Still no gsl-subpackage for emacs
